Subject: RE: [Forces-protocol] Summary : Protocol Messages: topic 3 & 4a

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Wed, 5 May 2004 19:20:25 -0700

Jamal, All
-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Jamal Hadi Salim
> 
> Here is the list of Protocol Messages based on final comments made by
> Jamal.
> 
> Association Setup, Setup Resp msg
> Association Teardown msg
> [Weiming] I agree to use the name 'Association'. But I can not find
where Jamal
> disagree to use only one msg approach, that is 'association msg'.
Again, I have
> to say a flag is definitely enough to indicate the command 'setup'
'setup resp',
> and 'teardown'. Can you give reasons why they should be two msgs?

We need to have a setup and teardown. The setup can be either accepted
or rejected. Thats the general concept - and i dont think anyone
disagrees with that. I personally dont care what you end up calling such
messages. 
Theres two ways to represent the messages:
1) A command for both.
2) A single command with flags differentiating the two.

The first scheme has more commands being used.
The second scheme indicates we need flags in the common header. I think
we will have flags regardless: I know Hormuzd has tried to pinpoint
where flags on the main header could be moved to be only specific to a
message but i would violently disagree with such a move at this stage.

I would prefer #2, but i wont fight over it.
[HK] I agree with the general concept of setup, setup Resp, teardown (I
think we all do) and don't want to fight over names or bits either. I
will make a simple technical point...we have reserved 8 bits for Msg
Type which means we can define 256 Msgs, so why not use this ? It will
be much easier & efficient for someone implementing the protocol to look
at the Msg type field and say if it is a Asso Setup msg, Teardown msg or
Setup Resp...rather than parsing the Msg type field and then some flags
and then coming to the same conclusion. Do you guys agree ??
May be we can have some middle ground like 4 bits for Msg Type, 4 bits
for Msg Sub-type such that...Msg Type = Association & Subtype = Setup or
Teardown or Setup Resp. This might be easier to implement/parse and also
use the bits more efficiently. Let me know what you guys think ?
I am positive that we can close on this discussion soon.

> 
> Event Notification msg (includes, Heartbeats (?), FE UP/DOWN, etc)
> 
> [Weiming] I suggest just an 'Event msg' may be better.

Event maybe insufficient if you need to have a response to a heartbeart.
[HK] I agree, it might be better to have separate msg for HBs

Thanks for the clarifications,
Hormuzd

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol

---

From: "Weiming Wang" <[email-masked]>
Date: Thu, 6 May 2004 16:02:42 +0800

Hormuzd, Jamal as well,

----- Original Message -----
From: "Khosravi, Hormuzd M" <[email-masked]>
Jamal, All
-----Original Message-----
where Jamal
Again, I have
'setup resp',

[Weiming] Hormuzd, what you said really confused me. This was exactly my idea. I
mentioned this many times before. But at that time, seemed you as well as Jamal
objected it , which made me actually give it up completely. I think now we have
come to a compromise to use more sythisized msg type mode.  Why should we try to
break this compromise again?  If you now realize we can make full use of the msg
type field, then I would like to pick something more for discussion, because I
think many of them have much meaning than just 'setup' teardown'.
[/Weiming]

[Weiming] I'm afraid it is not meant to use another msg, just the msg name for
the event operation, right? Moreover,  after we'v concluded that an ACK flag in
the header is necessary, it is easy to let  heartbeats or other events to have
responses.

regards,
Weiming